Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.invocation
Class ResourceInvocation

    java.lang.Object
      org.jboss.portal.portlet.invocation.PortletInvocation
          org.jboss.portal.portlet.invocation.ResourceInvocation

    public class ResourceInvocation

extends PortletInvocation

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.portlet.invocation.PortletInvocation
`attributes, clientContext, ctx, dreq, dresp, instanceContext, mode, navigationalState, portalContext, publicNavigationalState, requestAttributes, securityContext, serverContext, target, userContext, windowContext, windowState`

Constructor Summary
`ResourceInvocation(PortletInvocationContext ctx)`

Method Summary
`CacheLevel` | `getCacheLevel()`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getForm()`
`RequestContext` | `getRequestContext()`
`java.lang.String` | `getResourceId()`
`StateString` | `getResourceState()`
`java.lang.String` | `getValidationToken()`
`void` | `setCacheLevel(CacheLevel cacheLevel)`
`void` | `setForm(java.util.Map<java.lang.String,java.lang.String[]> form)`
`void` | `setRequestContext(RequestContext requestContext)`
`void` | `setResourceId(java.lang.String resourceId)`
`void` | `setResourceState(StateString resourceState)`
`void` | `setValidationToken(java.lang.String validationToken)`

Methods inherited from class org.jboss.portal.portlet.invocation.PortletInvocation
`getAttribute, getClientContext, getContext, getDispatchedRequest, getDispatchedResponse, getInstanceContext, getMode, getNavigationalState, getPortalContext, getPublicNavigationalState, getRequestAttributes, getSecurityContext, getServerContext, getTarget, getUserContext, getWindowContext, getWindowState, removeAttribute, setAttribute, setClientContext, setDispatchedRequest, setDispatchedResponse, setInstanceContext, setMode, setNavigationalState, setPortalContext, setPublicNavigationalState, setRequestAttributes, setSecurityContext, setServerContext, setTarget, setUserContext, setWindowContext, setWindowState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceInvocation

    public ResourceInvocation(PortletInvocationContext ctx)
                       throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### getValidationToken

    public java.lang.String getValidationToken()

### setValidationToken

    public void setValidationToken(java.lang.String validationToken)

### getResourceId

    public java.lang.String getResourceId()

### setResourceId

    public void setResourceId(java.lang.String resourceId)

### getResourceState

    public StateString getResourceState()

### setResourceState

    public void setResourceState(StateString resourceState)

### getForm

    public java.util.Map<java.lang.String,java.lang.String[]> getForm()

### setForm

    public void setForm(java.util.Map<java.lang.String,java.lang.String[]> form)

### getCacheLevel

    public CacheLevel getCacheLevel()

### setCacheLevel

    public void setCacheLevel(CacheLevel cacheLevel)

### getRequestContext

    public RequestContext getRequestContext()

### setRequestContext

    public void setRequestContext(RequestContext requestContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.